Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Dynamic_Node Class Reference

Handle a dynamically linked node. More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Dynamic_Node:

[legend]
Collaboration diagram for ACE_Dynamic_Node:

[legend]
List of all members.

## Public Methods
| ACE_Dynamic_Node (const ACE_Service_Type *, ACE_TCHAR *params)
virtual | ~ACE_Dynamic_Node (void)
virtual const ACE_Service_Type * | record (void) const
virtual void | apply (int &yyerrno)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
const ACE_Service_Type * | record_
| Pointer to a descriptor that describes this node.

## Detailed Description

Handle a dynamically linked node.

Note:
  This class is only meant for INTERNAL use by ACE.

## Constructor & Destructor Documentation

ACE_Dynamic_Node::ACE_Dynamic_Node | ( | const ACE_Service_Type * | ,
|  | ACE_TCHAR * | params
| ) |

ACE_Dynamic_Node::~ACE_Dynamic_Node | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void ACE_Dynamic_Node::apply | ( | int & | yyerrno | ) | `[virtual]`

| Reimplemented from ACE_Static_Node.

void ACE_Dynamic_Node::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Static_Node.

const ACE_Service_Type * ACE_Dynamic_Node::record | ( | void |  | ) | const`[virtual]`

| Reimplemented from ACE_Static_Node.

## Member Data Documentation

ACE_Dynamic_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Static_Node.

const ACE_Service_Type* ACE_Dynamic_Node::record_`[private]`

| Pointer to a descriptor that describes this node.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Parse_Node.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Parse_Node.cpp